
Foreman - Bug #3587

invalid JSON returns 500 server error

11/06/2013 09:10 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: API   

Target version: 1.4.0   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a user sends an invalid JSON, the server respond with 500 error, and even worse, with html!

Related issues:

Related to Foreman - Bug #2855: API authentication controller does not fail g... Closed 07/29/2013

Associated revisions

Revision b18c3a35 - 11/07/2013 01:44 PM - Ohad Levy

fixes #3587, #2855 - print an error on invalid json vs 500 error

History

#1 - 11/07/2013 01:21 PM - Dominic Cleal

- Related to Bug #2855: API authentication controller does not fail gracefully added

#2 - 11/07/2013 01:25 PM - Dominic Cleal

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1003

#3 - 11/07/2013 01:45 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#4 - 11/07/2013 02:31 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b18c3a35f7101a4abac2166fafc4d0fd75e283e2.
